*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}
:root{
  --background:#0e33ec;
  --green-accent: #2bfe01;
  --orangeLettering: #ff8104; 
  --white-accent: #fff;
}
body{
  background: url(pictures/wallpaper_bckgrnd_1.jpeg) no-repeat center center/cover;
  display: flex;
  flex-direction: column;
  font-size: 1.2rem;
  font-family: Poppins, Arial, Helvetica, sans-serif;
  text-align: center;
  overflow-x: hidden;
  width: 100vw;
}
#logo-Pic{
  border: 2px solid var(--white-accent);
  border-radius: 50%;
  margin-left: 20px;
  width: 6rem;
  /*
  animation-duration: 2s;
  animation-name: spin;
  animation-timing-function:ease-in-out ;
  animation-delay: 0.5s;
  animation-iteration-count: 3;
  animation-direction: alternate;*/
  animation: 2s spin ease-in-out 0.5s 3 alternate;
  transition: all ease;
}
@keyframes spin{
  0%{
    border-radius: 50%;
  }
  50%{
    scale: 1.5;
    rotate: 0;
    border-radius: 50%;
  }
  100%{
    transform: rotate(360deg);
    border-radius: 50%;
    scale: 1.2;
  }
}
header{
  max-height: 9rem;
  color: var(--background);
  display:flex;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
  font-weight: 700;
  margin: 1rem auto;
}
header h1{
  font-family: "Gochi Hand", cursive;
}
#below-Header-Quote{
  color: var(--background);
  font-size: 1.8rem;
  font-style: italic;
  font-weight: bold;
  margin: 1rem auto;
}
nav{
  background:var(--green-accent);
  display:flex;
  justify-content:space-evenly;
  align-items: center;
  margin: 0 auto;
  width: 100vw;
}
#menu-BTN{
  color:var(--background);
  display: none;
  font-weight: 600;
  background: var(--white-accent);
  border:none;
  border-radius: 20px;
  cursor: pointer;
  align-items: center;
  font-size: 1.2rem;
  margin-left: 20px;
  margin: 10px;
  padding: 7px 1rem;
}
.list {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.5rem;
  font-weight: 600;
  list-style: none;
  gap: 4rem;
  padding: 10px 1.5rem;
}
.list a{
  color: var(--white-accent);
}
.list a:hover{
  background:var(--green-accent);
  border-radius: 15px;
  color:var(--white-accent);
  padding: 5px 10px;
  box-shadow: 5px 5px 5px #fff;
  opacity: 0.8;
  transition: all 0.3s ease;
}
.main{
  display: flex;
  flex: 1;
  line-height: 1.5;
}
.wraparound{
  float:left;
  margin-right: 0.8rem;
  margin-bottom: 0.2rem;
}
#first-Smile-Picture{
  border-radius: 1.5rem;
  height: 245px;
  width: 260px;
}
.side-Bar{
  background: var(--background);
  flex: 1 1 60px;
  padding: 1rem 0;
}
.side-Bar img{
  border-radius: 1rem;
  height: 400px;
  width: 370px;
  margin: 3rem 1rem;
}
#events-Bar{
  background: var(--white-accent);
  flex:1 3 1;
  font-size: 1.5rem;
  margin-right: -5px;
  outline: 3px solid var(--background);
  outline-offset: -0.5rem;
  padding: 1rem 2rem;
  text-align: left;
}
#events-Bar h3{
  font-weight: 600;
  text-decoration:underline;
}
#events-Bar img{
  border-radius: 1rem;
  max-width: 22rem;
}
main{
  background-image: linear-gradient(to right, #0e33ec, #004ff4, #0066f8, #157bf9, #3e8ef8);
  color: var(--white-accent);
  flex: 2 1;
  text-align: left;
  padding: 3rem 2rem;
}
.introduction{
  margin: 4rem auto;
}
.introduction h2{
  font-size: 2rem;
  margin-bottom: 1rem;
  text-decoration: underline;
}
.home-Pics{
  margin: 6rem auto;
  padding-left: 3.5rem;
}
.home-Pics img{
  border-radius: 1rem;
  margin: 0.5rem 1.5rem;
  width: 180px;
  height: 210px;
}
.home-Pics img:hover{
  cursor: pointer;
  transform: scale(0.8) rotate(-20deg);
  box-shadow: 0 2rem 4rem var(--green-accent);
}
.right{
  background-image: url(pictures/welcome_foto_2.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  color: var(--white-accent);
  font-size: 2.5rem;
  font-weight: 600;
  padding: 3rem 1.5rem;
  min-height: 42rem;
  min-width: 30%;
}
.img-Link:hover{
  rotate: y 360deg;
  transition: 1.2s;
}
#program-Main{
  text-align: left;
  margin-left: 5px;
  padding: 30px;
}
/*About styling*/
.main .side-Bar img{
  width: 350px;
}
figure{
  border: solid 3px var(--green-accent);
  border-radius: 1rem;
  margin-right: 0.5rem;
  padding: 0.5rem;
} 
#business-Owners{
  border-radius: 1rem;
  margin: 0.5rem;
}
/*Enrollment form styling*/
#enroll-Header{
  color: var(--background);
  margin: 0 auto;
  background: transparent;
}
.contact-Container{
  background: #f2cff7;
  border: 2px  dashed;
  border-radius: 5px;
  display:flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 1.5rem;
  margin: 0 auto;
  margin-bottom:1.5rem;
  max-width: 750px;
  text-align: left;
}
.left img{
  border-radius: 50%;
}
.contact-Info{
  font-size: 1.2rem;
}
.field{
  background: var(--white-accent);
  border: none;
  outline: none;
  border-radius: 10px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.2rem;
  margin: 0.3rem;
  min-width: 270px;
  padding: 0.3rem 0.5rem;
}
.field:focus{
  background: #f8f3f3;
  border: 3px solid var(--green-accent);
}
#submit-BTN{
  background-color: var(--green-accent);
  border:none;
  border-radius: 1.5rem;
  color:var(--white-accent);
  font-size: 1.2rem;
  padding: 0.5rem 1.5rem;
}
#submit-BTN:hover{
  background: var(--white-accent);
  border: 2px solid var(--green-accent);
  color:var(--green-accent);
  cursor: pointer;
  box-shadow: -5px -5px 5px var(--green-accent);
  opacity: 0.8;
  transition: all 0.3s ease;
}
#required-Documents{
  margin-left: 4rem;
  text-align: left;
}
#required-Forms{
  color: #ff0000;
  font-weight: 700;
}
#required-Forms:hover{
  cursor: pointer;
}
.complete-Required-Forms{
  list-style: none;
}
.complete-Required-Forms a{
  color: var(--white-accent);
  font-size: 1.2rem;
  font-weight: 600;
}
/*Staff styles*/
.wrapper{
  min-height: 35rem;
}
#staff-Header{
  font-size: 8rem;
}
/*Contact page styles*/
#contact-Page-Title{
  color: #800080;
}
#contact-H1{
  font-size: 4rem;
  text-align: left;
}
.main hr{
  background: var(--green-accent);
  border:none;
  border-radius: 1rem;
  width: 52rem;
  height: 0.4rem;
  margin-top: 1rem;
  margin-bottom: 1.5rem;
}
.right hr {
  background: var(--white-accent);
  border:none;
  border-radius: 1rem;
  width:20rem;
  height: 0.5rem;
  margin-top: -1rem;
  margin-bottom: 1rem;
}
#email-Message{
  background: linear-gradient(to right, #800080,#ebbaf2);
  text-align: left;
  min-width: 40%;
}
.email-Contact-Form{
  display:flex;
  flex-direction: column;
  align-items: start;
  gap: 20px;
}
.email-Contact-Form textarea{
  border-radius: 1rem;
  height: 8rem;
  padding-top: 1rem;
}
.email-Contact-Field{
  border:none;
  border-radius: 2rem;
  font-size: 1rem;
  font-family: Arial, Helvetica, sans-serif;
  height: 2rem;
  width:20rem;
  outline: none;
  padding: 1rem;
}
.email-Contact-Field:focus{
  background: #f2cff7;
  border: 0.2rem solid var(--green-accent);
}
#reset-BTN{
  background-color: #b902b9;
  border:none;
  border-radius: 1.5rem;
  color: var(--white-accent);
  font-size: 1.2rem;
  padding: 0.5rem 1rem;
  margin-left: 1rem;
}
#reset-BTN:hover{
  background: var(--white-accent);
  border: 2px solid #ce03ce;
  color: #800080;
  cursor: pointer;
  box-shadow: -5px -5px 5px #600060;
  opacity: 0.8;
  transition: all 0.3s ease;
}
/*Gallery Styles*/
.gallery{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
  grid-gap: 1.5rem;
  margin: 100px auto 50px;
  width: 80%;
}
.gallery img{
  border-radius: 1rem;
  width: 100%;
  cursor: pointer;
}
.gallery img:hover{
  transform: scale(0.8) rotate(-20deg);
  border-radius: 1rem;
  box-shadow: 0 2rem 4.5rem #b902b9;
}
.full-IMG{
  width: 100%;
  height: 100vh;
  background:#373737f8;
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 25;
}

.full-IMG img{
  width: 90%;
  max-width: 32rem;
}

.full-IMG span{
  color: var(--white-accent);
  cursor: pointer;
  position: absolute;
  font-size: 2rem;
  font-weight: 600;
  top: 5%;
  right: 5%;
}
/* ---------- About Page styling ---------- */
.about-Header{
  color: var(--background); 
  display:flex;
  align-items: center;
  justify-content: space-evenly;
  gap: 8rem;
  margin: 0 auto;
}
.about-Title h1{
  font-size: 4rem;
  font-weight: 700;
}
/* ----------Footer styling ---------- */

.footer-Container{
  display: flex;
  align-items: center;
  justify-content: space-evenly; 
  gap: 0.5rem;
  background: #4c4c4c;
  color:#908e8e;
  font-size: 1rem;
  padding: 2rem 1.5rem;
  text-align: center;
  width: 100vw;
} 
/* ---------- Responsive Styles ----------*/
@media (min-width: 2559px){
  header h1{
    font-size: 7rem;
  }
  #below-Header-Quote{
    font-size: 2.5rem;
  }
  .list {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2.5rem;
    font-weight: 600;
    list-style: none;
    gap: 6rem;
    padding: 2rem 1.5rem;
  }
  .introduction h2{
    font-size: 4rem;
  }
  .introduction p{
    font-size: 2rem;
  }
  .about-Title h1{
    font-size: 4rem;
  }
  main h3{
    font-size: 3rem; 
  }
  main h4{
    font-size: 2.5rem;
  }
  main p{
    font-size: 2rem;
  }
  .footer-Container{
   font-size: 1.5rem;
  }
}
@media(max-width: 2496px){
  .home-Pics img:nth-child(7){
    display: none;
  }
}
@media(max-width: 2162px){
  .home-Pics img:nth-child(6){
    display: none;
  }
}
@media(max-width: 1829px){
  .home-Pics img:nth-child(5){
    display: none;
  }
}
@media (max-width: 1440px){
  .home-Pics{
    padding-left: 0;
  }
}
@media(max-width: 1274px){
  .footer-Container{
    display: flex;
    flex-direction: column;
    gap: 1rem; 
  }
}
@media(max-width: 1024px){
  .list {
    font-size: 1.1rem;
    gap: 2rem;
  }
  .main{
    flex-direction: column; 
  }
}
@media all and (max-width: 855px){
  h1{
    font-size: 2rem;
  }
  .list {
    display: flex;
    font-weight: 600;
    gap: 1.5rem;
    padding: .8rem .5rem;
  }
  #below-Header-Quote{
    font-size: 1.2rem;
  }
  .main hr{
    width: 39rem;
  }
}
@media(max-width: 768px){
  .introduction{
    margin: 2rem auto;
  }
  .side-Bar img:nth-last-child(1){
    display: none;
  } 
}
@media(max-width: 588px){
  .main{
    flex-direction: column;
  }
  #logo-Pic{
    width: 100px;
  }
  header{
    display: flex;
    justify-content: space-between;
    font-size: 1.4rem;
    font-weight: 900;
  }
  #logo-Pic{
    width: 5rem;
  }
  #below-Header-Quote{
    display: none;
    font-size: 1.2rem;
    margin: 10px auto;
    text-align: center;
  }
  .menu-Icon{
    display:block;
    justify-content: space-around;
  }
  #menu-BTN{
    display: block;
  }
  #menu-BTN:hover{
    background: var(--white-accent);
    border:1px solid var(--background);
    color:var(--background);
    opacity: 0.5;
    transition: all ease 0.3s;
  }
  .list{
    display: none;
  }
  .show-Menu{
    cursor: pointer;
    display: block;
    justify-content: space-between;
    align-items: center;
  }
  main{
    padding: 2em 1em;
  }
  #first-Smile-Picture{
    width: 200px;
    height: 175px;
  }
  .left img{
    display: none;
  }
  .home-Pics{
    margin-left: 0.8rem;
  }
  .home-Pics img{
    margin: 0.5rem 1rem;
  }
  .main hr{
    width: 28rem;
    margin-top: 1rem;
  }
  .full-IMG span{
    position: absolute;
    font-size: 1.5rem;
    font-weight: 600;
    top: 5%;
    right: 5%;
  }
  .right{
    display: block;
    min-height: 32rem;
  }
  #staff-Header{
    font-size: 6rem;
  }
  .contact-Container{
    display: inline-flex;
    padding: 2rem 3rem;
  }
  .footer-Container{
   font-size: 0.9rem;
  }
}
@media (max-width: 480px){
  .introduction{
    display: flex;
    flex-direction: column;
  }
  .home-Pics img{
    margin: 0.5rem;
    width: 165px;
    height: 190px;
  } 
  .about-Title h1{
    font-size: 2.5rem;
  }
  .side-Bar img{
    height: auto;
    width: 10rem;
    margin: 1rem auto; 
  }
  #events-Bar img{
  width: 15rem;
  }
}
@media (max-width: 376px){
  header{
    display: block;
    font-weight: 600;
    margin: .5rem auto;
    padding: .1rem;
  }
  header h1{
    font-size: 1.8rem;
  }
  #logo-Pic{
    display: block;
    margin: 0 auto; 
  }
   .side-Bar img{
    display: none;
  }
}